<!DOCTYPE html>
<html>
<head>
    {% block head %}
        <meta charset="UTF-8"/>
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}"/>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/metisMenu/2.7.4/metisMenu.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
        <script src="{{ asset("vendor/sb-admin-2/dist/js/sb-admin-2.min.js") }}"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap-theme.min.css"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metisMenu/2.7.4/metisMenu.min.css"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" />
        <link href="{{ asset("vendor/sb-admin-2/dist/css/sb-admin-2.min.css") }}" rel="stylesheet">
        <link href="{{ asset("css/style.css") }}" rel="stylesheet">
        <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
    {% endblock %}
</head>
<body>
{% block body %}
    <div id="wrapper">

        {% block nav %}
            <!-- Navigation -->
            <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="index.html">DCS Tools</a>
                </div>
                <!-- /.navbar-header -->

                <ul class="nav navbar-top-links navbar-right">
                    {#<li class="dropdown">#}
                    {#<a class="dropdown-toggle" data-toggle="dropdown" href="#">#}
                    {#<i class="fa fa-envelope fa-fw"></i> <i class="fa fa-caret-down"></i>#}
                    {#</a>#}
                    {#<ul class="dropdown-menu dropdown-messages">#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<strong>John Smith</strong>#}
                    {#<span class="pull-right text-muted">#}
                    {#<em>Yesterday</em>#}
                    {#</span>#}
                    {#</div>#}
                    {#<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eleifend...</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<strong>John Smith</strong>#}
                    {#<span class="pull-right text-muted">#}
                    {#<em>Yesterday</em>#}
                    {#</span>#}
                    {#</div>#}
                    {#<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eleifend...</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<strong>John Smith</strong>#}
                    {#<span class="pull-right text-muted">#}
                    {#<em>Yesterday</em>#}
                    {#</span>#}
                    {#</div>#}
                    {#<div>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eleifend...</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a class="text-center" href="#">#}
                    {#<strong>Read All Messages</strong>#}
                    {#<i class="fa fa-angle-right"></i>#}
                    {#</a>#}
                    {#</li>#}
                    {#</ul>#}
                    {#<!-- /.dropdown-messages -->#}
                    {#</li>#}
                    {#<!-- /.dropdown -->#}
                    {#<li class="dropdown">#}
                    {#<a class="dropdown-toggle" data-toggle="dropdown" href="#">#}
                    {#<i class="fa fa-tasks fa-fw"></i> <i class="fa fa-caret-down"></i>#}
                    {#</a>#}
                    {#<ul class="dropdown-menu dropdown-tasks">#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<p>#}
                    {#<strong>Task 1</strong>#}
                    {#<span class="pull-right text-muted">40% Complete</span>#}
                    {#</p>#}
                    {#<div class="progress progress-striped active">#}
                    {#<div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%">#}
                    {#<span class="sr-only">40% Complete (success)</span>#}
                    {#</div>#}
                    {#</div>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<p>#}
                    {#<strong>Task 2</strong>#}
                    {#<span class="pull-right text-muted">20% Complete</span>#}
                    {#</p>#}
                    {#<div class="progress progress-striped active">#}
                    {#<div class="progress-bar progress-bar-info" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" style="width: 20%">#}
                    {#<span class="sr-only">20% Complete</span>#}
                    {#</div>#}
                    {#</div>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<p>#}
                    {#<strong>Task 3</strong>#}
                    {#<span class="pull-right text-muted">60% Complete</span>#}
                    {#</p>#}
                    {#<div class="progress progress-striped active">#}
                    {#<div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%">#}
                    {#<span class="sr-only">60% Complete (warning)</span>#}
                    {#</div>#}
                    {#</div>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<p>#}
                    {#<strong>Task 4</strong>#}
                    {#<span class="pull-right text-muted">80% Complete</span>#}
                    {#</p>#}
                    {#<div class="progress progress-striped active">#}
                    {#<div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">#}
                    {#<span class="sr-only">80% Complete (danger)</span>#}
                    {#</div>#}
                    {#</div>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a class="text-center" href="#">#}
                    {#<strong>See All Tasks</strong>#}
                    {#<i class="fa fa-angle-right"></i>#}
                    {#</a>#}
                    {#</li>#}
                    {#</ul>#}
                    {#<!-- /.dropdown-tasks -->#}
                    {#</li>#}
                    {#<!-- /.dropdown -->#}
                    {#<li class="dropdown">#}
                    {#<a class="dropdown-toggle" data-toggle="dropdown" href="#">#}
                    {#<i class="fa fa-bell fa-fw"></i> <i class="fa fa-caret-down"></i>#}
                    {#</a>#}
                    {#<ul class="dropdown-menu dropdown-alerts">#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<i class="fa fa-comment fa-fw"></i> New Comment#}
                    {#<span class="pull-right text-muted small">4 minutes ago</span>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<i class="fa fa-twitter fa-fw"></i> 3 New Followers#}
                    {#<span class="pull-right text-muted small">12 minutes ago</span>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<i class="fa fa-envelope fa-fw"></i> Message Sent#}
                    {#<span class="pull-right text-muted small">4 minutes ago</span>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<i class="fa fa-tasks fa-fw"></i> New Task#}
                    {#<span class="pull-right text-muted small">4 minutes ago</span>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a href="#">#}
                    {#<div>#}
                    {#<i class="fa fa-upload fa-fw"></i> Server Rebooted#}
                    {#<span class="pull-right text-muted small">4 minutes ago</span>#}
                    {#</div>#}
                    {#</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li>#}
                    {#<a class="text-center" href="#">#}
                    {#<strong>See All Alerts</strong>#}
                    {#<i class="fa fa-angle-right"></i>#}
                    {#</a>#}
                    {#</li>#}
                    {#</ul>#}
                    {#<!-- /.dropdown-alerts -->#}
                    {#</li>#}
                    {#<!-- /.dropdown -->#}
                    {#<li class="dropdown">#}
                    {#<a class="dropdown-toggle" data-toggle="dropdown" href="#">#}
                    {#<i class="fa fa-user fa-fw"></i> <i class="fa fa-caret-down"></i>#}
                    {#</a>#}
                    {#<ul class="dropdown-menu dropdown-user">#}
                    {#<li><a href="#"><i class="fa fa-user fa-fw"></i> User Profile</a>#}
                    {#</li>#}
                    {#<li><a href="#"><i class="fa fa-gear fa-fw"></i> Settings</a>#}
                    {#</li>#}
                    {#<li class="divider"></li>#}
                    {#<li><a href="login.html"><i class="fa fa-sign-out fa-fw"></i> Logout</a>#}
                    {#</li>#}
                    {#</ul>#}
                    {#<!-- /.dropdown-user -->#}
                    {#</li>#}
                    {#<!-- /.dropdown -->#}
                </ul>
                <!-- /.navbar-top-links -->

                {% block leftMenu %}
                    <div class="navbar-default sidebar" role="navigation">
                        <div class="sidebar-nav navbar-collapse">
                            <ul class="nav" id="side-menu">
                                <li class="sidebar-search">
                                    <div class="input-group custom-search-form">
                                        <input type="text" class="form-control" placeholder="Search...">
                                        <span class="input-group-btn">
                                            <button class="btn btn-default" type="button">
                                                <i class="fa fa-search"></i>
                                            </button>
                                        </span>
                                    </div>
                                    <!-- /input-group -->
                                </li>
                                <li class="{% if section == "home" %}active{% endif %}">
                                    <a href="{{ path("homepage") }}"><i class="fa fa-dashboard fa-fw"></i> Home</a>
                                </li>
                                <li class="{% if section == "miz" %}active{% endif %}">
                                    <a href="{{ path("miz_import") }}"><i class="fa fa-upload"></i> Import Mission</a>
                                    {#<ul class="nav nav-second-level collapse in" aria-expanded="true" style="">#}
                                        {#<li>#}
                                            {#<a href="flot.html">Flot Charts</a>#}
                                        {#</li>#}
                                        {#<li>#}
                                            {#<a href="morris.html">Morris.js Charts</a>#}
                                        {#</li>#}
                                    {#</ul>#}
                                </li>
                                <li class="{% if section == "tgp" %}active{% endif %}">
                                    <a href="{{ path("tgp_test") }}"><i class="fa fa-crosshairs"></i> TGP</a>
                                </li>
                                <li class="{% if section == "veaf_marker" %}active{% endif %}">
                                    <a href="{{ path("veaf_marker_helper") }}"><i class="fa fa-dashboard fa-circle-o"></i> VEAF Marker</a>
                                </li>
                            </ul>
                        </div>
                        <!-- /.sidebar-collapse -->
                    </div>
                    <!-- /.navbar-static-side -->
                {% endblock %}
            </nav>
        {% endblock %}

        <div id="page-wrapper">
            {% block pageWrapper %}
            {% endblock %}
        </div>

    </div>
    <!-- /#wrapper -->
{% endblock %}

{% block javascripts %}{% endblock %}
<script type="text/javascript">
    $(document).ready(function () {
        {% block notify %}
        {% for type, flashMessages in app.session.flashBag.all() %}
        {% for flashMessage in flashMessages %}
        {% if type is defined and type == "error" %}
        toastr.options = {
            "closeButton": true,
            "newestOnTop": false,
            "positionClass": "toast-top-center",
            "timeOut": "0",
        }
        {% else %}
        toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": true,
            "positionClass": "toast-top-center",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "1000",
            "timeOut": "5000",
            "extendedTimeOut": "1000",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }
        {% endif %}
        toastr["{{ type }}"]("{{ flashMessage|trans|escape('js') }}");
        {% endfor %}
        {% endfor %}
        {% endblock notify %}
    });
</script>
</body>
</html>
